LibreOffice LibreOffice 24.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs | Functions
mapping.hxx File Reference
`#include "sal/config.h"`
`#include <cstddef>`
`#include "uno/lbnames.h"`
`#include "rtl/alloc.h"`
`#include "rtl/ustring.hxx"`
`#include "osl/diagnose.h"`
`#include "uno/mapping.h"`
`#include "com/sun/star/uno/Type.hxx"`
`#include "com/sun/star/uno/Reference.hxx"`
`#include "cppu/unotype.hxx"`
`#include "uno/environment.hxx"`

Go to the source code of this file.

## Classes
class | com::sun::star::uno::Mapping
| C++ wrapper for C uno_Mapping. More...

## Namespaces
namespace | com
namespace | com::sun
namespace | com::sun::star
namespace | com::sun::star::uno

## Typedefs
typedef struct _typelib_TypeDescription | typelib_TypeDescription
typedef struct _typelib_InterfaceTypeDescription | typelib_InterfaceTypeDescription
typedef struct _uno_Interface | uno_Interface

## Functions
template<class C >
bool | com::sun::star::uno::mapToCpp (Reference< C > *ppRet, uno_Interface *pUnoI)
| Deprecated.
template<class C >
bool | com::sun::star::uno::mapToUno (uno_Interface **ppRet, const Reference< C > &x)
| Deprecated.

## Typedef Documentation

## ◆ typelib_InterfaceTypeDescription

typedef struct _typelib_InterfaceTypeDescription typelib_InterfaceTypeDescription

## ◆ typelib_TypeDescription

typedef struct _typelib_TypeDescription typelib_TypeDescription

## ◆ uno_Interface

typedef struct _uno_Interface uno_Interface